Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: David Engster <[email-masked]>
Date: Thu, 19 Nov 2015 21:01:35 +0100

John Wiegley writes:
>>>>>> Dmitry Gutov <[email-masked]> writes:
>
>> I can get behind taking care of "correctness" warnings, but if we lose the
>> obsolete functions warnings, we risk forgetting to take care of their
>> causes.
>> 
>> And it's not like we can actually fix all instances of obsolete usages
>> before the current release: a significant part of the warnings comes from
>> gnus, org, cc-mode and calendar, all of which, I'm assuming, have to support
>> older Emacsen.
>
> If that's the case, I'm willing to filter those from the final count before
> closing this issue. Then, in 25.2, we can focus on eliminating those as well.
>
>> We _should_ be able to take care of CEDET warnings, but probably after their
>> development migrates here.
>
> That's good to hear; but can that happen for 25.1? CEDET is rather egregious
> in the warnings category right now. If that means suppressing warnings
> throughout CEDET for this release, I'm OK with that as a temporary measure.

We will fix those warnings for 25.1.

As you can see, almost all those warning are due to changes in EIEIO. We
couldn't fix those warnings until now because we wanted to support older
Emacsen as well. Since supporting both EIEIO versions would be a huge
hassle, we reluctantly decided to drop support for older Emacsen. At the
same time, we will also drop our upstream repository and move
development to Emacs.

I will have to do one last merge, but before I can do that, I have to
port our test suite to make sure I do it correctly. I hope I will find
the time to do all this before the new year.

-David